summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSimon Rettberg2024-02-16 16:41:58 +0100
committerSimon Rettberg2024-02-16 16:41:58 +0100
commitbe9ebd799584090c1d3a1c88b7a7d6ccf2cc6f17 (patch)
treefcc6f0e407d168de9ad1faf6768039587751fba6
parent[slx-addons] Tweak log output a bit (diff)
downloadsystemd-init-be9ebd799584090c1d3a1c88b7a7d6ccf2cc6f17.tar.gz
systemd-init-be9ebd799584090c1d3a1c88b7a7d6ccf2cc6f17.tar.xz
systemd-init-be9ebd799584090c1d3a1c88b7a7d6ccf2cc6f17.zip
[slx-splash] Use exit not return now that it's standalone
-rwxr-xr-xmodules.d/slx-splash/hooks/s3-splash-stage4.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/modules.d/slx-splash/hooks/s3-splash-stage4.sh b/modules.d/slx-splash/hooks/s3-splash-stage4.sh
index b88a6a90..9ec3659e 100755
--- a/modules.d/slx-splash/hooks/s3-splash-stage4.sh
+++ b/modules.d/slx-splash/hooks/s3-splash-stage4.sh
@@ -1,6 +1,6 @@
-#!/bin/bash
+#!/bin/ash
-grep -qw 'splash' "/proc/cmdline" || return 0
+grep -qw 'splash' "/proc/cmdline" || exit 0
# Set option that we want splash
@@ -11,9 +11,9 @@ echo "SLX_SPLASH='yes'" >> "$NEWROOT/opt/openslx/config"
# is restored when starting gettys.
mkdir -p "$NEWROOT/etc/systemd/system/getty@.service.d/"
-cat <<- EOF > "$NEWROOT/etc/systemd/system/getty@.service.d/restore-cursor.conf"
- [Service]
- ExecStartPre=-/usr/bin/env bash -c "echo -en '\033c' > /dev/%I"
+cat > "$NEWROOT/etc/systemd/system/getty@.service.d/restore-cursor.conf" <<EOF
+[Service]
+ExecStartPre=-/usr/bin/env bash -c "echo -en '\033c' > /dev/%I"
EOF
# Copy icons and tools, so we can trigger the HDD icon in
@@ -22,4 +22,4 @@ EOF
cp -n "$( which splashtool )" "$NEWROOT/opt/openslx/bin/splashtool"
cp -n -r "/opt/openslx/icons" -t "$NEWROOT/opt/openslx/"
-:
+exit 0